#! /bin/sh

# guile-xapian --- Guile bindings for Xapian
# Copyright © 2020, 2022 Arun Isaac <arunisaac@systemreboot.net>
#
# This file is part of guile-xapian.
#
# guile-xapian is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# guile-xapian is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with guile-xapian.  If not, see
# <https://www.gnu.org/licenses/>.

abs_top_srcdir="`cd "@abs_top_srcdir@" > /dev/null; pwd -P`"
abs_top_builddir="`cd "@abs_top_builddir@" > /dev/null; pwd -P`"

GUILE_LOAD_COMPILED_PATH="$abs_top_builddir${GUILE_LOAD_COMPILED_PATH:+:}$GUILE_LOAD_COMPILED_PATH"
GUILE_LOAD_PATH="$abs_top_builddir:$abs_top_srcdir${GUILE_LOAD_PATH:+:}$GUILE_LOAD_PATH"
LD_LIBRARY_PATH="$abs_top_builddir/.libs"
export GUILE_LOAD_COMPILED_PATH GUILE_LOAD_PATH LD_LIBRARY_PATH

exec "$@"
